#include <bits/stdc++.h>
using namespace std;
int n;
int a[10000000];
int NTCN(int a,int b)
{
    int r;
    while (b!=0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return 1;
}
int main()
{
	ifstream f1("NTCN.INP");
	ofstream f2("NTCN.OUT");
	for (int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	for (int i=0;i<n;i++)
	{
		for (int j=i+1;j<n;j++)
		{
			if (NTCN(a[i],a[j])==1)
            {
                f2<<a[i]<<" "<<a[j]<<endl;
            }
        }
    }
    f1.close();
    f2.close();
}
